@extends ('layouts/template')

@section('content')

    <div class="p-3 mcp-theme-1">
        <div class="row">
            <div class="col-12 col-md-6">
                <div class="card">
                    @if(session('message'))
                        <div class="alert alert-info">{{session('message')}}</div>
                    @endif
                    <table class="table table-sm table-striped mb-0">
                        <thead>
                        <tr>
                            <th class="border-0 pl-2">Name</th>
                            <th class="border-0">Cell Number</th>
                            <th class="border-0">Email</th>
                            <th class="border-0"></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pros as $pro)
                            <tr>
                                <td class="pl-2">{{$pro->displayName()}}</td>
                                <td>{{$pro->cell_number}}</td>
                                <td>{{$pro->email}}</td>
                                <td class="text-right pr-2">
                                    <form action="{{route('process-log-in-as')}}" onsubmit="saveProUid('{{$pro->uid}}')" method="POST" target="_top">
                                        @csrf
                                        <input type="hidden" name="proUid" value="{{$pro->uid}}">
                                        <button class="btn btn-sm btn-primary font-weight-bold px-4 py-1">Login</button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script>
    function saveProUid(_uid) {
        window.top.localStorage.currentProUid = _uid;
        return true;
    }
    </script>

@endsection
